import * as React from "react";
import { SVGProps } from "react";

import styles from "./IconFills.module.scss";

const CTAButtonIcon = ({ color, width = "1rem", height = "1rem", ...props }: SVGProps<SVGSVGElement>) => (
    <svg
        fill="none"
        className={styles[`icon_color-${color}`]}
        xmlns="http://www.w3.org/2000/svg"
        width={width}
        height={height}
        {...props}
    >
        <path
            // eslint-disable-next-line max-len
            d="m8.083 2.602 1.367.574.547 1.367c.054.055.109.11.164.11a.185.185 0 0 0 .164-.11l.574-1.367 1.367-.574c.055-.028.082-.082.082-.164 0-.055-.027-.11-.082-.165L10.9 1.727 10.325.359c-.028-.054-.082-.109-.137-.109a.185.185 0 0 0-.164.11L9.45 1.726 8.083 2.3c-.055.027-.083.082-.083.164 0 .055.028.11.083.137Zm2.87 4.976-2.87-.437-1.286-2.598c-.218-.465-.902-.465-1.12 0L4.39 7.141l-2.871.437c-.52.055-.71.711-.328 1.067l2.05 2.023-.464 2.871c-.082.492.465.902.93.656l2.542-1.367 2.57 1.367a.63.63 0 0 0 .657-.054c.164-.137.3-.383.246-.602l-.492-2.871 2.078-2.023c.356-.356.164-1.012-.355-1.067Zm3.966-1.312L13.825 5.8l-.465-1.067c-.027-.054-.055-.082-.11-.082a.15.15 0 0 0-.136.082l-.465 1.067-1.066.465c-.055.027-.11.082-.11.136 0 .055.055.082.11.11l1.066.465.465 1.093c.027.028.054.082.11.082.054 0 .108-.054.136-.082l.465-1.093 1.066-.465c.055-.028.11-.082.11-.137 0-.055-.055-.082-.082-.11Z"
        />
    </svg>
);
export default CTAButtonIcon;
